README for LeanWeb Copyright 1999 Carsten Clasohm

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License,
	or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


Intro
-----

This is a modified version of Internet Junkbuster 2.02 that adds the ability
to remove user defined parts from HTML pages. It can make Web pages better
suited for display on a handheld device such as the Palm.

LeanWeb allows you to remove navigation bars and useless tags that only
consume screen real estate and valuable memory on your handheld computer. It
is intended for personal use only. (Because most Web pages are protected by
copyright, using this program may be against the law where you live.)

For information about the original Internet Junkbuster, see files
ijbman.html, ijbfaq.html and readme, or page http://internet.junkbuster.com. 
Updates to LeanWeb will be made available at http://www.clasohm.com/leanweb/.


Usage
-----

To use the filtering capability of LeanWeb, add a line like

	bfilterfile		c:\Program Files\junkbuster\bfilter.ini

to Junkbuster's configuration file. A sample has been included as
sbfilter.ini.

As you can see from the sample, you have to have some knowledge of HTML if
you want to use LeanWeb. But with a bit of experimentation, it should be
quite easy to find the sections which can be removed from a page without
losing valuable content. (You can modify the filter definitions while
LeanWeb is running, so experiments can be carried out fast.) In general, the
code between the BODY tag and the first line of real text is a good
candidate for removal. Also, most Web sites with an uniform look use
automatically generated pages, which are well suited for automatic
filtering.

Personally, I use AvantGo (http://www.avantgo.com) for reading newspapers on
my Palm, with LeanWeb configured as the proxy for AvantGo Desktop.
